## snake4 1.0.10

=== Makefile ===
# $Id: Makefile,v 1.15 1997/08/13 20:43:34 sverrehu Exp $
PROG		= snake4
DIST		= $(PROG)
VERMAJ		= 1
VERMIN		= 0
VERPAT		= 10
VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
COMPILED_DATE	= `date '+%Y-%m-%d %H:%M:%S'`
COMPILED_BY	= `whoami`

###########################################################################

# Where are shhmsg, shhopt, Xpm and X11?

# GNU/Linux at home
INCDIR		= -I/local/include -I/usr/X11R6/include -I/local/include/X11
LIBDIR		= -L/local/lib -L/usr/X11R6/lib -L/local/lib/X11

# Irix at Ifi
ifeq ($(HOSTTYPE),sgi)
INCDIR		= -I/usr/include/X11 -I$$HOME/include
LIBDIR		= -L/usr/lib/X11 -L$$HOME/lib/$$HOSTTYPE
endif

# Solaris at Ifi
ifeq ($(HOSTTYPE),sol)
INCDIR		= -I/usr/openwin/include -I$$HOME/include
LIBDIR		= -L/usr/openwin/lib -L$$HOME/lib/$$HOSTTYPE
EXTRA_LD_OPT	= -R$(LD_RUN_PATH):/usr/openwin/lib
EXTRA_LIBS	= -lXmu
endif

# SunOS at Ifi
ifeq ($(HOSTTYPE),sun4)
INCDIR		= -I/local/X11R5/include -I$$HOME/include
LIBDIR		= -L/local/X11R5/lib -L$$HOME/lib/$$HOSTTYPE
EXTRA_LIBS	= -liberty -lXext -lXmu
endif

###########################################################################

# Where do you want to install the program and the highscore file?
INSTLIBDIR	= /var/local/lib/games
INSTBINDIR	= /usr/local/games
INSTMANDIR	= /usr/local/man/man6
#INSTLIBDIR	= /hom/sverrehu/lib
#INSTBINDIR	= /hom/sverrehu/bin/$$HOSTTYPE
#INSTMANDIR	= /hom/sverrehu/man/man6

# Game user. Program runs suid, so this must not be root.
OWNER		= games
GROUP		= games
#OWNER		= sverrehu
#GROUP		= sverrehu

SCOREBASEFILE	= $(PROG).score
SCOREFILE	= $(INSTLIBDIR)/$(SCOREBASEFILE)
DEFINES		= -DVERSION=\"$(VERSION)\" \
		  "-DCOMPILED_DATE=\"$(COMPILED_DATE)\"" \
		  "-DCOMPILED_BY=\"$(COMPILED_BY)\"" \
		  -DSCOREFILE=\"$(SCOREFILE)\" \
		  -DXK_MISCELLANY -DXK_LATIN1 

###########################################################################

CC		= gcc

OPTIM		= -s -O2
CCOPT		= -Wall $(OPTIM) $(INCDIR) $(DEFINES) $(CFLAGS)
LDOPT		= -s $(LIBDIR) $(LDFLAGS) $(EXTRA_LD_OPT)

LIBS		= -lshhopt -lshhmsg -lXaw -lXt -lXpm -lX11 $(EXTRA_LIBS)

OBJS		= board.o fruit.o game.o gameobject.o headbanger.o \
		  mushroom.o score.o scull.o slimpill.o snake.o \
		  snake4.o suid.o win.o

###########################################################################

all: $(PROG)

$(PROG): $(OBJS)

.o: $(OBJS)
	$(CC) $(CCOPT) -o $@ $(OBJS) $(LDOPT) $(LIBS)

.c.o:
	$(CC) -o $@ -c $(CCOPT) $<

clean:
	rm -f *.o core depend *~

install: $(PROG)
	install -d -m 755 $(INSTBINDIR) $(INSTLIBDIR) $(INSTMANDIR)
	install -s -m 4755 -o $(OWNER) -g $(GROUP) $(PROG) $(INSTBINDIR)
	ln -sf $(PROG) $(INSTBINDIR)/snake4scores
	install -m 644 $(DIST).6 $(INSTMANDIR)
	if test ! -f $(SCOREFILE); then \
	  install -m 644 -o $(OWNER) -g $(GROUP) \
	          $(SCOREBASEFILE) $(INSTLIBDIR); fi

depend dep:
	$(CC) $(INCDIR) -MM *.c >depend

###########################################################################

# To let the author make a distribution. The rest of the Makefile
# should be used by the author only.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= README INSTALL CREDITS TODO $(LSMFILE) $(DIST).6 \
		  $(DIST).lsm.in ChangeLog Makefile $(SCOREBASEFILE) \
		  $(SCOREBASEFILE).ifi \
		  board.c fruit.c game.c gameobject.c headbanger.c \
		  mushroom.c score.c scull.c slimpill.c snake.c \
		  snake4.c suid.c win.c \
		  board.h fruit.h game.h gameobject.h headbanger.h \
		  mushroom.h score.h scull.h slimpill.h snake.h \
		  suid.h win.h \
		  pixmaps
BINDISTDIR	= $(DIST)-$(VERSION)-bin
BINDISTFILE	= $(DIST)-$(VERSION)-bin.tar.gz
BINDISTFILES	= README.static $(PROG).static $(PROG).6 \
		  Makefile.static $(SCOREBASEFILE)

# Linux executable with my libraries and Xpm statically linked.
static $(PROG).static: $(OBJS)
	$(CC) $(CCOPT) -o $(PROG).static $(OBJS) $(LDOPT) \
	/local/lib/libshhopt.a /local/lib/libshhmsg.a \
	/local/lib/X11/libXpm.a \
	-lXaw -lXt -lX11 $(EXTRA_LIBS)

$(LSMFILE): $(DIST).lsm.in
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

$(SCOREBASEFILE): $(SCOREBASEFILE).ifi
	echo "1" > $(SCOREBASEFILE)
	grep "^sverrehu," $(SCOREBASEFILE).ifi >> $(SCOREBASEFILE)

chmod:
	chmod -R a+rX *

veryclean: clean
	rm -f $(PROG) $(PROG).static $(DISTFILE) $(BINDISTFILE) $(LSMFILE)

dist: $(LSMFILE) $(SCOREBASEFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	for q in $(DISTFILES); do \
	  if test -r $$q; then \
	    ln -s ../$$q $(DISTDIR); \
	  else echo "warning: no file $$q"; fi; \
	  done
	tar -cvhzf $(DISTFILE) --exclude \*/CVS $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

bindist: $(PROG).static $(SCOREBASEFILE) chmod
	mkdir $(BINDISTDIR)
	chmod a+rx $(BINDISTDIR)
	for q in $(BINDISTFILES); do \
	  if test -r $$q; then \
	    ln -s ../$$q $(BINDISTDIR)/`basename $$q .static`; \
	  else echo "warning: no file $$q"; fi; \
	  done
	tar -cvhzf $(BINDISTFILE) --exclude \*/CVS $(BINDISTDIR)
	chmod a+r $(BINDISTFILE)
	rm -rf $(BINDISTDIR)

ifeq (depend,$(wildcard depend))
include depend
endif

## snake4 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.15 1997/08/13 20:43:34 sverrehu Exp $
+# $Id: Makefile,v 1.18 2002/03/02 21:17:51 sverrehu Exp $
 PROG		= snake4
 DIST		= $(PROG)
 VERMAJ		= 1
 VERMIN		= 0
-VERPAT		= 10
+VERPAT		= 12
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 COMPILED_DATE	= `date '+%Y-%m-%d %H:%M:%S'`
 COMPILED_BY	= `whoami`
@@ -15,6 +15,7 @@
 # GNU/Linux at home
 INCDIR		= -I/local/include -I/usr/X11R6/include -I/local/include/X11
 LIBDIR		= -L/local/lib -L/usr/X11R6/lib -L/local/lib/X11
+EXTRA_LIBS	= -lXmu -lICE -lSM -lXext
 
 # Irix at Ifi
 ifeq ($(HOSTTYPE),sgi)

=== debian/changelog ===
snake4 (1.0.12-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move package from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Sep 2013 08:08:42 +0200

snake4 (1.0.12-15) experimental; urgency=low

  * New mantainer (Closes: #581387)
  * debian/copyright: complied to the 3.9.4 format
  * debhelper compatibility up to 9
  * debian/rules: modernized
  * debian/control: Standards-Version to 3.9.4

 -- Alexandre Dantas <alex.dantas92@gmail.com>  Wed, 24 Apr 2013 11:20:30 -0300

snake4 (1.0.12-14) unstable; urgency=low

  * QA upload, incorporating old package found on mentors.debian.org
    from Michael Boegl
  * change to format "3.0 (quilt)"
  * debhelper compatibility up to 7
  * modernize debian/rules
  - add build-arch/build-indep
  - use dh_install instead of manual cp and heavily patched Makefile
  - use dpkg-buildflags
  * install default score file
  * don't misuse dpkg-statoverride
  * Standards-Version to 3.9.2
  * add Vcs-*

 -- Bernhard R. Link <brlink@debian.org>  Wed, 21 Sep 2011 15:43:40 +0200

snake4 (1.0.12-13) unstable; urgency=low

  * compiler warnings removed in score.c
  * made lintian clean for 3.9.1
  * Uploader removed upon mail request

 -- Michael Boegl <m.b3941@web.de>  Mon, 17 Jan 2011 09:34:24 +0100

snake4 (1.0.12-12) unstable; urgency=low

  * New maintainer (Closes: #581387)

 -- Michael Boegl <m.b3941@web.de>  Sun, 16 Jan 2011 17:12:44 +0100

snake4 (1.0.12-11) unstable; urgency=low

  * debian/menu: changed section to Games/Action, thanks to Bill Allombert.
    (Closes: #444893)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Sat, 03 Nov 2007 01:29:27 +0000

snake4 (1.0.12-10) unstable; urgency=low

  * Removed "-s" option from install and ldd  in Makefile, to complain with 
    nostrip build option (policy 10.1). (Closes: #438031)
  * Solved debian-rules-ignores-make-clean-error Lintian.
  * snake4.desktop: removed invalid "Application" category.
  * snake4.menu: changed section to "Games/Puzzles".

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 21 Sep 2007 17:34:24 -0300

snake4 (1.0.12-9) unstable; urgency=low

  * Bump Standards-Version: 3.7.2.
  * DH_COMPAT = 5

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 17 May 2007 23:32:14 -0300

snake4 (1.0.12-8) unstable; urgency=low

  * Added libxmu-dev and libxpm-dev as Build-Depends. 
  * Changed point from xpm.h to X11/xpm.h in score.c file. (closes: #365165)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 28 Apr 2006 19:10:02 -0300

snake4 (1.0.12-7) unstable; urgency=low

  * Removed debian/compat file and put DH_COMPAT line in rules file.
  * Updated to DH_COMPAT=5.
  * Changed depends from Xaw8 to Xaw7. (closes: #359309)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 27 Mar 2006 16:43:10 -0300

snake4 (1.0.12-6) unstable; urgency=low

  * Solved 'FTBFS: build-depends on removed xlibs-dev'. (Closes: #347089)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 16 Jan 2006 20:51:09 -0200

snake4 (1.0.12-5) unstable; urgency=low

  * Updated debian/watch file.
  * Added Ola as Uploader.
  * Updated to Standards-Version: 3.6.2.
  * Added snake4.xpm file, snake4.desktop file and updated menu file.
  * Added debian/links file.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 30 Sep 2005 14:09:26 -0300

snake4 (1.0.12-4) unstable; urgency=low

  * New maintainer (Closes: #273706)
  * Added compat, watch and postrm file.
  * Updated control, rules and postinst files to complain with debhelper 4.
  * Updated license in debian/copyright file.
  * Changed var/lib/games to var/games/snake4 in dirs file.
  * Deleted conffile file.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri,  1 Jul 2005 15:10:16 -0300

snake4 (1.0.12-3) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/menu: quote the unquoted
  * Incorporate previous NMU (closes: #170013)

 -- Andrew Pollock <apollock@debian.org>  Tue,  9 Nov 2004 09:58:45 +1100

snake4 (1.0.12-2.1) unstable; urgency=low

  * NMU
    - Moved Build-Depends from libxaw-dev to libxaw6-dev (Closes: #170013)
    - Added proper information to debian/copyright

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  9 Jan 2004 01:02:50 +0100

snake4 (1.0.12-2) unstable; urgency=low

  * Updated build-depends to libshhmsg1-dev and libshhopt1-dev
    (Closes: #151100)

 -- Karl Soderstrom <ks@debian.org>  Fri, 28 Jun 2002 19:08:38 +0200

snake4 (1.0.12-1) unstable; urgency=low

  * New upstream release (with clarified license in README)
  * Updated debian/copyright with Artistic license (Closes: #130400)
  * Fixed typo in description (Closes: #125369)
  
 -- Karl Soderstrom <ks@debian.org>  Sun, 31 Mar 2002 13:35:30 +0200

snake4 (1.0.11-4) unstable; urgency=low

  * Added sticky bit to /usr/games/snake4, which means it should
  be possible to write to the high score file. (Closes: #115650)

 -- Karl Soderstrom <ks@debian.org>  Fri, 14 Dec 2001 14:46:04 +0100

snake4 (1.0.11-3) unstable; urgency=low

  * Moved high score file to /var/games.

 -- Karl Soderstrom <ks@debian.org>  Sat, 10 Mar 2001 11:56:07 +0100

snake4 (1.0.11-2) unstable; urgency=low

  * Updated maintainer email.
  * Updated download URL and author contacts.
  * Removed INSTALL and empty README.Debian.

 -- Karl Soderstrom <ks@debian.org>  Sat, 27 Jan 2001 23:31:01 +0100

snake4 (1.0.11-1) unstable; urgency=low

  * New upstream release (Closes: #27562)
  * New maintainer (Closes: #74839)
  * Compiled against libxpm4 (Closes: #67950)
  * Changed to debhelper
  
 -- Karl Soderstrom <coldn@gamearena.net>  Fri,  8 Dec 2000 20:20:04 +0100

snake4 (1.0.10-1.1) unstable; urgency=low

  * NMU by Branden Robinson <branden@debian.org>.
  * Recompile against modern xpm4g package to get proper shared library
    dependency and permit this package to be installed with forthcoming
    XFree86 4.x packages, which include libXpm.
  * debian/control: added Build-Depends



=== debian/control ===
Source: snake4
Section: games
Priority: optional
Maintainer: Alexandre Dantas <alex.dantas92@gmail.com>
Build-Depends: debhelper (>= 9), libx11-dev, libxt-dev, libxaw7-dev, 
 libshhmsg1-dev, libshhopt1-dev, libxmu-dev, libxpm-dev
Standards-Version: 3.9.4
Homepage: http://shh.thathost.com/pub-unix/#snake4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snake4.git
Vcs-Git: git://anonscm.debian.org/collab-maint/snake4.git

Package: snake4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Snake game
 This is a basic but nice implementation of the snake game. The objective
 is to "snake around" and eat fruit, while avoiding the evil headbanger
 and not crashing into your tail.
 .
 Features five levels of difficulty and a site-wide high score list.
 .
 Screenshot: http://screenshots.debian.net/screenshots/s/snake4/1555_large.png

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS              := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)

LDFLAGS += -Wl,-z,defs

build-arch: build-stamp
build-indep:

build-stamp:
	dh_testdir
	$(MAKE) INSTLIBDIR=/var/games/snake4 \
		INCDIR='$(CPPFLAGS)' \
		CFLAGS='$(CFLAGS)' \
		LDOPT='$(LDFLAGS)' \
		OPTIM='' \
		EXTRA_LIBS='' \
		COMPILED_BY='Debian' \
		COMPILED_DATE="`date '+%Y-%m-%d %H:%M:%S'`" \
		HOSTTYPE='Debian' \
		all snake4.score
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp snake4
	$(MAKE) clean
	dh_clean

binary-indep:

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installdebconf
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chown root:games debian/snake4/var/games/snake4
	chmod 755 debian/snake4/var/games/snake4
	chown root:games debian/snake4/usr/games/snake4
	chmod 2755 debian/snake4/usr/games/snake4
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
build: build-arch build-indep
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

=== debian/watch ===
version=2
http://shh.thathost.com/pub-unix/ files/snake4-(.*)\.tar\.gz

## snake4 1.0.14

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DIST		= $(PROG)
 VERMAJ		= 1
 VERMIN		= 0
-VERPAT		= 12
+VERPAT		= 14
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 COMPILED_DATE	= `date '+%Y-%m-%d %H:%M:%S'`
 COMPILED_BY	= `whoami`
@@ -89,7 +89,7 @@
 	$(CC) -o $@ -c $(CCOPT) $<
 
 clean:
-	rm -f *.o core depend *~
+	rm -f *.o core depend *~ $(PROG)
 
 install: $(PROG)
 	install -d -m 755 $(INSTBINDIR) $(INSTLIBDIR) $(INSTMANDIR)
@@ -110,7 +110,7 @@
 LSMFILE		= $(DIST)-$(VERSION).lsm
 DISTDIR		= $(DIST)-$(VERSION)
 DISTFILE	= $(DIST)-$(VERSION).tar.gz
-DISTFILES	= README INSTALL CREDITS TODO $(LSMFILE) $(DIST).6 \
+DISTFILES	= README.md INSTALL CREDITS TODO $(LSMFILE) $(DIST).6 \
 		  $(DIST).lsm.in ChangeLog Makefile $(SCOREBASEFILE) \
 		  $(SCOREBASEFILE).ifi \
 		  board.c fruit.c game.c gameobject.c headbanger.c \
@@ -122,7 +122,7 @@
 		  pixmaps
 BINDISTDIR	= $(DIST)-$(VERSION)-bin
 BINDISTFILE	= $(DIST)-$(VERSION)-bin.tar.gz
-BINDISTFILES	= README.static $(PROG).static $(PROG).6 \
+BINDISTFILES	= README.md.static $(PROG).static $(PROG).6 \
 		  Makefile.static $(SCOREBASEFILE)
 
 # Linux executable with my libraries and Xpm statically linked.

=== debian/changelog ===
snake4 (1.0.14-1) unstable; urgency=medium

  * New upstream release
  * debian/patches:
    - Removed patches incorporated by upstream:
      . 0001-Changed-point-from-xpm.h-to-X11-xpm.h-in-score.c-fil.patch
      . 0002-compiler-warnings-removed-in-score.c.patch
      . 0003-fix-minus-hyphen-in-manpage.patch
      . 0005-make-clean-now-removes-executable.patch
    - Renamed 0006-standard-install-directories.patch to
      standard-install-directories.patch
    - Split old patch 0004-hardening-flags-to-compiler.patch
      into hardening.patch and useless-linkage.patch

 -- Alexandre Dantas <eu@alexdantas.net>  Wed, 13 Aug 2014 19:16:09 -0400

snake4 (1.0.12-17) unstable; urgency=low

  [ Alexandre Dantas ]

  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Merged patches to install files on standard locations
  * Updated maintainer contact information

  [Joao Eriberto Mota Filho]

  * debian/watch: updated the version to 3.

 -- Alexandre Dantas <eu@alexdantas.net>  Mon, 04 Aug 2014 19:25:36 -0400

snake4 (1.0.12-16) unstable; urgency=low

  * Rebuild to unstable

 -- Alexandre Dantas <eu@alexdantas.net>  Thu, 02 May 2013 10:09:46 -0300

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_fixperms:
	chown 'root:games' debian/snake4/usr/games/snake4
	chmod 2755 debian/snake4/usr/games/snake4
	chown 'root:games' debian/snake4/var/games/snake4.score
	chmod 664 debian/snake4/var/games/snake4.score
	dh_fixperms -Xdebian/snake4/usr/games/snake4 -Xdebian/snake4/var/games/snake4.score

=== debian/watch ===
version=3
http://shh.thathost.com/pub-unix/ files/snake4-(.*)\.tar\.gz
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/alexdantas/snake4/tags .*/v?(\d\S*)\.tar\.gz
